﻿@using Portal.Models.Globals;
@using System.Web.UI.WebControls;
@using Portal.Models.Supplier;
@using Portal.Models.Part;
@using Portal.Models.Dock;
<table style="margin-left: 20px;" border="0">
    <tr>
        <td nowrap="nowrap">
            Supplier Code<b style="color: Red;">*</b>
        </td>
        <td colspan="3">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OSPSupplierBusinessRelation";
                    gridLookup.Width = 100;
                    gridLookup.ShowDescription = true;
                    gridLookup.DescriptionWidth = Unit.Pixel(330);
                    gridLookup.GridProperties.KeyFieldName = "SUPP_CD;SUPP_NAME";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierProfile", Action = "PartialSupplierLookupGridBusinessRelation" };//"PartialHeaderSupplierLookupGridSupplierInfo" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE";
                        column.FieldName = "SUPP_CD";
                        column.Caption = "Supplier<br /> Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_NAME";
                        column.FieldName = "SUPP_NAME";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(400);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["SupplierGridLookup"]).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtItemNoBR";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 12;
                    settings.ClientVisible = false;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Cooperated Company";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td style="padding-right:10px">
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtCompanyNameBR";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 150;
                    settings.Properties.MaxLength = 50;

                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Content of Cooperation";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtContentOfCooperation";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 150;
                    settings.Properties.MaxLength = 50;

                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Company Category";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtCompanyCategoryBR";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 150;
                    settings.Properties.MaxLength = 20;

                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td colspan="3"></td>
        <td style="float:right">
            <table>
                <tr>
                    <td width="50%" align="right">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnSaveBR";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Save";
                            btnSettings.Width = 80;
                            btnSettings.UseSubmitBehavior = true;
                            btnSettings.ClientSideEvents.Click = "BeginAddNewBR";
                        }
                    ).GetHtml()
                    </td>
                    <td width="50%">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnCancelNewBR";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Cancel";
                            btnSettings.Width = 80;
                            btnSettings.ClientSideEvents.Click = "CancelAddNewBR";
                        }
                    ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
